
program ex_004;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;

begin
  { Cration d'un carr transparent de cent fois cent pixels. }
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAPixelTransparent);

  { Sauvegarde de l'image dans un fichier. }
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.bmp'));
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.jpg'));
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));

  { Libration de la mmoire alloue  l'image. }
  image.Free;
end.
