
program ex_006;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes, BGRAGraphics;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
begin
  with image.Canvas do
  begin
    Pen.Color := BGRAGraphics.clBlue;
    Brush.Color := clSilver;
    Ellipse(10, 10, 90, 90);
  end;
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAWhite);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
