
program ex_013;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
var
  couleur: TBGRAPixel;
begin
  couleur := BGRA(0, 0, 255);

  image.FillRoundRectAntialias(
    10,
    10,
    90,
    90,
    20,
    20,
    couleur,
    [rrTopRightSquare, rrBottomLeftSquare]
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAWhite);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
