
program ex_014;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
const
  EPAISSEUR = 2;
begin
  image.Fill(BGRAWhite);

  image.EllipseAntialias(
    image.Width / 2,      { Abscisse du centre. }
    image.Height / 2,     { Ordonne du centre. }
    image.Width / 2 - 5,  { Rayon horizontal.   }
    image.Height / 2 - 5, { Rayon vertical.     }
    CSSBlue,              { Couleur.            }
    EPAISSEUR
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;
  
begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
