
program ex_015;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
const
  EPAISSEUR = 2;
begin
  image.Fill(BGRAWhite);

  { Style de la ligne. }
  image.CustomPenStyle := BGRAPenStyle(2, 1);

  image.EllipseAntialias(
    image.Width / 2,
    image.Height / 2,
    image.Width / 2 - 5,
    image.Height / 2 - 5,
    CSSBlue,
    EPAISSEUR
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;
  
begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRABlack);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
