
program ex_017;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
begin
  image.FillEllipseLinearColorAntialias(
    image.Width / 2,
    image.Height / 2,
    image.Width / 2 - 5,
    image.Height / 2 - 5,
    BGRA(0, 0, 255),     { Couleur de la priphrie. }
    BGRAPixelTransparent { Couleur du centre.        }
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;
  
begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAWhite);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
