
program ex_001;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R *.res}

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;

begin
  { Cration d'un carr blanc de cent fois cent pixels. }
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRABitmapTypes.BGRAWhite);

  { Sauvegarde de l'image dans un fichier. }
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));

  { Libration de la mmoire alloue  l'image. }
  image.Free;
end.
