
program ex_008;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

const
  EPAISSEUR = 10;
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;
  couleur: TBGRAPixel;

begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAWhite);

  couleur := BGRA(
    0,   { Rouge.   }
    0,   { Vert.    }
    255, { Bleu.    }
    255  { Opacit. }
  );

  image.DrawLineAntialias(10, 10, 90, 90, couleur, EPAISSEUR);

  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.

