
program ex_038;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
var
  noir_et_blanc: TBGRABitmap;
begin
  noir_et_blanc := image.FilterGrayScale as TBGRABitmap;
  noir_et_blanc.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  noir_et_blanc.Free;
end;

const
  FICHIER = 'corot.jpg';

var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(FICHIER);
  Operations(image);
  image.Free;
end.
