
program ex_039;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

procedure Operations(image: TBGRABitmap);
var
  reduction: TBGRABitmap;
begin
  reduction := image.Resample(
    350,
    250,
    rmFineResample { rmSimpleStretch }
  ) as TBGRABitmap;

  reduction.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  reduction.Free;
end;

const
  FICHIER = 'corot.jpg';

var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(FICHIER);
  Operations(image);
  image.Free;
end.
