
program ex_040;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R ex_001.res}

const
  FICHIER = 'corot.jpg';

var
  image: TBGRABitmap;
  pixel: PBGRAPixel;
  i: integer;

begin
  image := TBGRABitmap.Create(FICHIER);

  pixel := image.Data;

  for i := image.NbPixels - 1 downto 0 do
  begin
    pixel^.Red := not pixel^.Red;
    Inc(pixel);
  end;

  image.InvalidateBitmap;

  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
